# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXExtract

Function

Extracts a component from a Field.

Syntax
`
#include <dx/dx.h>
`

Object DXExtract(Object o, char *name)

Functional Details

For each Field in Object `o`, the routine returns the Object specified by `name` (typically an Array). Object `o` can be a simple Field or any Object that can contain Fields (e.g., Groups or Series).

If Object `o` is a single Field, a single Object is returned (typically an Array). If Object `o` is anything else, the Object hierarchy is preserved, and each Field is replaced by component `name`.

Return Value

Returns `o` or returns `NULL` and sets an error code. It is an error if no component of the specified `name` is found in any Field of `o`.

See Also

`DXExists, DXGetComponentValue, DXInsert, DXRemove, DXRename, DXReplace, DXSwap`

12.10 , "Component Manipulation".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]